Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openspml.message
Class ObjectClassDefinition

    java.lang.Object
      |
      +--org.openspml.message.ObjectClassDefinition

public class ObjectClassDefinition
extends java.lang.Object

A class representing an `objectClassDefinition` element.

Constructor Summary
`ObjectClassDefinition()`

Method Summary
`void` | `addMemberAttribute(AttributeDefinitionReference ref)`
`void` | `addSuperiorClass(ObjectClassDefinitionReference ref)`
`java.util.List` | `getAttributeDefinitions()` Convenience accessor to return a list of resolved AttributeDefinition objects.
`java.lang.String` | `getDescription()`
`java.util.List` | `getMemberAttributes()`
`java.lang.String` | `getName()`
`java.util.Map` | `getProperties()`
`java.lang.Object` | `getProperty(java.lang.String name)`
`java.util.List` | `getSuperiorClasses()`
`void` | `setDescription(java.lang.String s)`
`void` | `setMemeberAttributes(java.util.List l)`
`void` | `setName(java.lang.String s)`
`void` | `setProperties(java.util.Map props)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`
`void` | `setSchema(Schema s)`
`void` | `setSuperiorClasses(java.util.List l)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectClassDefinition

    public ObjectClassDefinition()

Method Detail

### setSchema

    public void setSchema(Schema s)

### setName

    public void setName(java.lang.String s)

### setDescription

    public void setDescription(java.lang.String s)

### setProperties

    public void setProperties(java.util.Map props)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

### setMemeberAttributes

    public void setMemeberAttributes(java.util.List l)

### addMemberAttribute

    public void addMemberAttribute(AttributeDefinitionReference ref)

### setSuperiorClasses

    public void setSuperiorClasses(java.util.List l)

### addSuperiorClass

    public void addSuperiorClass(ObjectClassDefinitionReference ref)

### getName

    public java.lang.String getName()

### getDescription

    public java.lang.String getDescription()

### getProperties

    public java.util.Map getProperties()

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

### getMemberAttributes

    public java.util.List getMemberAttributes()

### getSuperiorClasses

    public java.util.List getSuperiorClasses()

### getAttributeDefinitions

    public java.util.List getAttributeDefinitions()

  Convenience accessor to return a list of resolved AttributeDefinition objects. // Hmm, what we really need is a combination of the definition // and the reference so we can combine the required flag with the // multi flag etc.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD